
SpecializationUtil.registerSpecialization("PowerShaftAttacher", "PowerShaftAttacher", g_currentModDirectory .. "scripts/PowerShaftAttacher.lua")

function PowerShaftAttacher()
	for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
		if v ~= nil then
			for i = 1, table.maxn(v.specializations) do
				local vs = v.specializations[i];
				if vs ~= nil and vs == SpecializationUtil.getSpecialization("motorized") and not SpecializationUtil.hasSpecialization(PowerShaftAttacher, v.specializations) then
					table.insert(v.specializations, SpecializationUtil.getSpecialization("PowerShaftAttacher"));
				end;
			end;
		end;
	end;
end;

PowerShaftAttacher();